Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerResponseFactory

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerResponseFactory

    public class ControllerResponseFactory

extends java.lang.Object

Version:
  $Revision: 10551 $
Author:
  Julien Viet

Constructor Summary
`ControllerResponseFactory()`

Method Summary
`static ControllerResponse` | `createActionResponse(PortalObjectId targetId, org.jboss.portal.portlet.invocation.response.PortletInvocationResponse response)`
`static ControllerResponse` | `createActionResponse(java.lang.String instanceId, org.jboss.portal.portlet.invocation.response.PortletInvocationResponse response)`
`static ControllerResponse` | `createResponse(org.jboss.portal.portlet.PortletInvokerException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerResponseFactory

    public ControllerResponseFactory()

Method Detail

### createResponse

    public static ControllerResponse createResponse(org.jboss.portal.portlet.PortletInvokerException e)

### createActionResponse

    public static ControllerResponse createActionResponse(PortalObjectId targetId,
                                                          org.jboss.portal.portlet.invocation.response.PortletInvocationResponse response)

### createActionResponse

    public static ControllerResponse createActionResponse(java.lang.String instanceId,
                                                          org.jboss.portal.portlet.invocation.response.PortletInvocationResponse response)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD